import { r as registerInstance, h, H as Host } from './index-b13326fc.js';

const Ripple = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return h(Host, { style: { left: this.x + 'px', top: this.y + 'px' } });
    }
    static get style() { return ":host{position:absolute;display:block;width:2px;height:2px;background-color:#000;border-radius:50%;-webkit-animation:ripple 0.88s 1;animation:ripple 0.88s 1;pointer-events:none;opacity:0.5;font-size:0;-webkit-transform:translate(-50%, -50%);transform:translate(-50%, -50%)}\@-webkit-keyframes ripple{from{width:2px;height:2px}to{opacity:0;width:200px;height:200px}}\@keyframes ripple{from{width:2px;height:2px}to{opacity:0;width:200px;height:200px}}"; }
};

export { Ripple as bce_ripple };
